%define srcname xf86-video-nv
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-nv
Version: 2.1.2
Release: alt1
Serial:1
Summary: NVIDIA video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-nv
PreReq: xorg-x11-extensions-glx
Requires: xorg-x11-server >= 1.0.99.901

BuildRequires: libxorgconfig-devel pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

%description
nv  is  an  Xorg  driver for NVIDIA video cards.  The driver
supports 2D acceleration and provides support for the following  frame-
buffer depths: 8, 15, 16 (except Riva128) and 24.  All visual types are
supported for depth 8, TrueColor and DirectColor visuals are  supported
for  the other depths with the exception of the Riva128 which only sup-
ports TrueColor in the higher depths.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

cat src/nv_driver.c | \
	sed -ne 's|^[[:space:]].*\ 0x1\([0-2]\)D\([2E]\)\([0-9A-F]*\).*"\(.*\)\".*|alias pcivideo:v00001\1D\2d0000\3sv*sd*bc*sc*i* nv\t# \4|p' > nv.xinf

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 nv.xinf %buildroot%_hwdatadir/nv.xinf

%triggerin -- %name <= 1:2.0.0-alt1
if [ -r %_sysconfdir/X11/xorg.conf ]; then
	%__subst 's,Driver\(.*\)\"\(riva128\)\",Driver\1"nv",' %_sysconfdir/X11/xorg.conf
fi

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Sat Jul 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:2.1.2-alt1
- 2.1.2

* Tue Jul 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:2.1.1-alt1
- 2.1.1:
  + support GeForce 8400M G

* Tue Jun 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:2.1.0-alt1
- 2.1.0
- update xinf file

* Thu May 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:2.0.96-alt1
- 2.0.96

* Fri May 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:2.0.95-alt1
- 2.0.95

* Fri Apr 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:2.0.2-alt1
- 2.0.2

* Wed Mar 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:2.0.1-alt1
- 2.0.1

* Wed Mar 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:2.0.0-alt2
- added xf86-video-nv-2.0.0-git-hang-fix.patch: fix a hang during initialization.

* Mon Mar 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:2.0.0-alt1
- 2.0.0

* Sun Feb 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.2-alt2
- added PreReq xorg-x11-extensions-glx (fixed #10760)

* Sat Dec 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.2-alt1
- 1.2.2

* Sat Dec 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt1
- 1.2.1

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt2
- added videoaliases file from RH

* Sun Jul 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- 1.2.0

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt2
- requires xorg-x11-server >= 1.0.99.901

* Wed Apr 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.2-alt1
- 1.1.2

* Fri Apr 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Tue Mar 28 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.2.0-alt1
- 1.0.2.0

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.2-alt0.1
- initial release

